Notas de la versión de NetBeans IDE 6.8

NetBeans IDE es un entorno de desarrollo integrado (IDE) modular y basado en estándares, escrito con el lenguaje de programación Java. El proyecto de NetBeans consta de un IDE de código abierto con gran variedad de funciones escrito con el lenguaje de programación Java y una plataforma para aplicaciones de cliente enriquecidas que se puede utilizar como marco genérico para crear cualquier tipo de aplicación. Para obtener información acerca de cómo instalar el software en el sistema, consulte las Instrucciones de instalación de NetBeans IDE 6.8 . Para obtener información sobre las nuevas funciones incluidas en esta versión del IDE, consulte la páginas Información de la versión de NetBeans IDE 6.8 .

Contenido

Novedades de la versión 6.8

NetBeans IDE 6.8 es una actualización de NetBeans IDE 6.7.1 e incluye los siguientes cambios:

  • Compatibilidad con Java EE 6
  • Compatibilidad con JSF 2.0 y con muchas de las funciones nuevas
  • Compatibilidad con PHP 5.3 y con Symfony Framework
  • Integración mejorada de la función Kenai y compatibilidad con el sistema de seguimiento de incidencias Jira
  • Mejoras adicionales incluidas en NetBeans IDE 6.8

Para obtener más información sobre esta versión, consulte la página Información de la versión de NetBeans IDE 6.8.

Información sobre la compatibilidad con varios idiomas

NetBeans IDE está disponible en las siguientes traducciones compatibles con Sun: portugués de Brasil (BR), japonés (JP) y chino simplificado (ZH).

Las traducciones del IDE realizadas por la comunidad también están disponibles en varios idiomas adicionales y se pueden descargar desde la sección de contribuciones de la comunidad del menú desplegable Idioma del IDE.

Tecnologías compatibles

NetBeans IDE 6.8 admite las siguientes tecnologías y se ha probado con los siguientes servidores de aplicaciones. Si tiene previsto usar versiones que no sean las que aparecen en esta lista, tenga en cuenta que el IDE puede comportarse de forma imprevista.

Tecnologías compatibles:
  • Java EE 5, Java EE 6 y J2EE 1.4
  • JavaFX SDK 1.2.1
  • ME Java SDK 3.0
  • Struts 1.3.8
  • Spring 2.5
  • Hibernate 3.2.5
  • Java API for RESTful Web Services (JAX-RS) 1.1
  • PHP 5.3, 5.2, 5.1
  • Ruby 1.9, 1.8
  • JRuby 1.4
  • Rails 2.3.4
  • Groovy 1.6.4
  • Grails 1.1
  • VCS
    • CVS: 1.11.x, 1.12.x
    • Subversión: 1.4.x, 1.5.x, 1.6.x
    • Mercurial: 1.x
    • ClearCase V7.0
   

Servidores de aplicaciones probados:
  • GlassFish v3
  • Sun Java System Application Server PE 8.2
  • WebLogic 11g (10.3.1.0)
  • Tomcat 6.0.20
  • Tomcat 5.5
  • JBoss 5.0

Requisitos del sistema

NetBeans IDE funciona en sistemas operativos compatibles con la máquina virtual Java y se ha probado en las plataformas que aparecen a continuación.

Nota: la resolución de pantalla mínima para el IDE es de 1.024x768 píxeles.


Sistemas operativos compatibles

Configuraciones de hardware mínimas

  • Microsoft Windows XP Professional SP3:
    • Procesador: Intel Pentium III o equivalente a 800 MHz
    • Memoria: 512 MB
    • Espacio de disco: 750 MB de espacio libre en el disco

  • Microsoft Windows Vista SP1:
    • Procesador: Intel Pentium III o equivalente a 800 MHz
    • Memoria: 512 MB
    • Espacio de disco: 750 MB de espacio libre en el disco

  • Microsoft Windows 7:
    • Procesador: Intel Pentium III o equivalente a 800 MHz
    • Memoria: 512 MB
    • Espacio de disco: 750 MB de espacio libre en el disco

  • Ubuntu 9.04:
    • Procesador: Intel Pentium III o equivalente a 800 MHz
    • Memoria: 512 MB
    • Espacio de disco: 650 MB de espacio libre en el disco

  • Solaris OS versión 10 (SPARC):
    • Procesador: UltraSPARC II a 450 MHz
    • Memoria: 512 MB
    • Espacio de disco: 650 MB de espacio libre en el disco

  • Solaris OS versión 10 (x86/x64 Platform Edition):
    • Procesador: AMD Opteron serie 1200 a 1,8 GHz
    • Memoria: 512 MB
    • Espacio de disco: 650 MB de espacio libre en el disco

  • Macintosh OS X 10.5 Intel:
    • Procesador: Intel Dual Core
    • Memoria: 512 MB
    • Espacio de disco: 650 MB de espacio libre en el disco

  • Macintosh OS X 10.5 PPC:
    • Procesador: PowerPC G4
    • Memoria: 512 MB
    • Espacio de disco: 650 MB de espacio libre en el disco

    Para obtener más información, consulte Uso de NetBeans en Mac OS X.

Configuraciones de software recomendadas

  • Microsoft Windows XP Professional SP3:
    • Procesador: Intel Pentium IV o equivalente a 2,6 GHz
    • Memoria: 2 GB
    • Espacio de disco: 1 GB de espacio libre en el disco
  • Microsoft Windows Vista SP1:
    • Procesador: Intel Pentium IV o equivalente a 2,6 GHz
    • Memoria: 2 GB
    • Espacio de disco: 1 GB de espacio libre en el disco
  • Microsoft Windows 7:
    • Procesador: Intel Pentium IV o equivalente a 2,6 GHz
    • Memoria: 2 GB
    • Espacio de disco: 1 GB de espacio libre en el disco
  • Ubuntu 9.04:
    • Procesador: Intel Pentium IV o equivalente a 2,6 GHz
    • Memoria: 2 GB
    • Espacio de disco: 850 MB de espacio libre en el disco
  • Solaris OS versión 10 (SPARC):
    • Procesador: UltraSPARC IIIi a 1 GHz
    • Memoria: 2 GB
    • Espacio de disco: 850 MB de espacio libre en el disco
  • Solaris OS versión 10 (x86/x64 Platform Edition):
    • Procesador: AMD Opteron serie 1200 a 2,8 GHz
    • Memoria: 2 GB
    • Espacio de disco: 850 MB de espacio libre en el disco
  • OpenSolaris 2009.06 (edición para plataformas x86/x64):
    • Procesador: AMD Opteron serie 1200 a 2,8 GHz
    • Memoria: 2 GB
    • Espacio de disco: 650 MB de espacio libre en el disco
  • Macintosh OS X 10.5 Intel:
    • Procesador: Intel Dual Core
    • Memoria: 2 GB
    • Espacio en disco: 850 MB de espacio libre en el disco
  • Macintosh OS X 10.5 PPC:
    • Procesador: PowerPC G5
    • Memoria: 2 GB
    • Espacio en disco: 850 MB de espacio libre en el disco
    Para obtener más información, consulte Uso de NetBeans en Mac OS X.


NetBeans IDE también funciona en las siguientes plataformas:

  • Java Desktop System 2
  • Microsoft Windows 2000 Professional SP4
  • Mac OS X 10.4.11 Intel/Power PC
  • Otras distribuciones de Linux, como Ubuntu 8.x, Red Hat Enterprise Linux y muchas otras.

Nota: aunque los requisitos del sistema anteriores se aplican a la mayoría de configuraciones del IDE, algunos aspectos de la compatibilidad con NetBeans Web y Java EE resultan muy exigentes en relación con los recursos del sistema, sobre todo si se utilizan junto con varios servidores de aplicaciones. Si desea obtener mejores resultados al desarrollar aplicaciones web y Java EE, asegúrese de que el sistema cumpla al menos los requisitos del sistema recomendados.

Requisitos de software

NetBeans IDE funciona en el kit de desarrollo de Java SE (JDK), que consta del entorno de ejecución de Java y de herramientas para desarrolladores para la compilación, depuración y ejecución de aplicaciones escritas en lenguaje Java.

Los JDK probados con esta versión son los siguientes:

  • JDK 6 Actualización 14
  • JDK 5 Actualización 19

Nota: para instalar y ejecutar los paquetes de NetBeans PHP, Ruby y C/C++, sólo se necesita los entornos de ejecución de Java 5 o 6.


Puede descargar JDK para la plataforma que desee desde uno de los siguientes sitios:

Nota: puede descargar las versiones archivadas de JDK desde http://java.sun.com/products/archive/index.html.

inicio

Compatibilidad

La primera vez que ejecuta el IDE, puede importar un subconjunto de los valores utilizados en las versiones anteriores de NetBeans IDE. Si decide no importarlo, el IDE se abre con la configuración predeterminada.

Nota: el IDE sólo reconoce instalaciones anteriores en las que el directorio de usuario resida en la ubicación predeterminada. No reconoce las instalaciones en los que se ha especificado un directorio de usuario mediante la instrucción switch --userdir. Si desea importar la configuración de un IDE que el instalador no reconoce, inicie el IDE y use la función Importar de la ventana Opciones. Tras hacer clic en Importar en dicha ventana, utilice el botón Examinar y busque el directorio de usuario (userdir) de la instalación del IDE que contiene la configuración que desea importar. Para obtener más información sobre la ubicación del directorio de usuario de NetBeans IDE, consulte la FAQ ¿Qué es un directorio de usuario y dónde se puede encontrar? .

Nota: si edita las propiedades del proyecto de NetBeans IDE 6.8 en un proyecto creado en NetBeans IDE 4.1 o anterior, el proyecto dejará de funcionar en las versiones de NetBeans IDE anteriores.

inicio

Disponibilidad de JavaFX 1.2.1 SDK

JavaFX SDK 1.2.1 se suministra junto con NetBeans 6.8

Nota: la versión mínima del JDK compatible con JavaFX 1.2.1 es JDK 6 Actualización 14 en Windows y JDK 5 Actualización 16, en Mac OS. Consulte la página de Requisitos del sistema de JavaFX SDK para obtener más información.

Nota: para obtener información adicional acerca de los requisitos del sistema, las funciones compatibles y los problemas conocidos, consulte las notas de la versión de JavaFX SDK 1.2.1.

inicio

Editor de SQL y bases de datos

Se han realizado los siguientes cambios en la funcionalidad de la base de datos de NetBeans IDE 6.8:

  • Controladores actualizados. Los controladores de MySQL incluidos en NetBeans IDE se han actualizado a la versión 5.1.6.
  • Controladores probados

    NetBeans IDE 6.8 se ha probado con los siguientes controladores y bases de datos.

    Controlador
    Versión
    Ejemplo de URL
    JavaDB Derby 10.4.1.3 jdbc:derby://localhost:1527/sample (Red)
    Oracle Base de datos Oracle 10g versión 2 (10.2.0.2) jdbc:oracle:thin:@//localhost:1521:ora9i
    PostgreSQL 8.3 Compilación 603 jdbc:postgresql://jsmith.mycompany.com:5432/postgres
    MySQL MySQL Connector/J 5.1.6 jdbc:mysql://localhost:3306/sample
  • Otros controladores

    Los siguientes controladores y bases de datos no se han probado de forma oficial, pero la experiencia indica que deberían funcionar correctamente.

    Controlador
    Versión
    Ejemplo de URL
    Microsoft Controlador JDBC de Microsoft SQL Server 2005 versión 1.2.2828.100 jdbc:sqlserver://localhost:1433;databaseName=travel;selectMethod=cursor
    IBM Controlador DB2 JDBC de tipo 4 v8 fixpack 13 redistribuible jdbc:db2://localhost:50002/sample
    jTDS jTDS 1.2.1 jdbc:jtds:sqlserver://test-mycompany.com:1433/travel
    DataDirect DataDirect Connect para JDBC - 3.6, DataDirect Connect para JDBC - 3.6.07 jdbc:datadirect:oracle://localhost;SID=ora9i jdbc:datadirect:sqlserver://localhost:1433;DatabaseName=travel;SelectMethod=cursor jdbc:datadirect:db2://localhost:50002;databaseName=sample
    Pointbase 5.2 ECF compilación 294

     

    jdbc:pointbase://localhost:29092/sample

     

inicio

Problemas conocidos: instalador

Éstos son los problemas no resueltos del instalador en esta versión:

  • Problema nº 177872: es posible que en Mac OS X, el complemento y las herramientas de actualización de GlassFish v3 no funcionen correctamente

    Descripción: en Mac OS X, el complemento basado en pkgy las herramientas de actualización no funcionan correctamente con cuentas no raíz si GlassFish v3 se instaló en raíz.

    Solución: utilice el comando chown -R para cambiar la propiedad de la instalación de GlassFish y configúrela en el usuario no raíz. Por ejemplo: sudo chown -R <nuevousuario>:admin /Aplicaciones/NetBeans/glassfish-v3-b73, donde nuevousuario es el usuario no raíz. Después de utilizar este comando, el usuario puede ejecutar directamente las herramientas bin/updatetool y bin/pkg herramientas.

  • Problema nº 6720021: el instalador no funciona al utilizar OpenSolaris con cualquier versión de JDK 5.

    Descripción: el instalador no funciona al utilizar OpenSolaris con cualquier versión de JDK 5.

    Solución: instálelo con JDK 6 o ejecute el comando "export AWT_TOOLKIT=XToolkit" antes de ejecutar el instalador con JDK 5.

  • Problema nº 93568: en Solaris y Linux la instalación se bloquea cuando se pierde la conexión de red.

    Descripción: en plataformas Solaris y Linux, si se pierde la conexión de red, la instalación se bloquea cuando el instalador busca un JDK compatible en los directorios de red.

    Solución: restaure la conexión de red y continúe con la instalación.

  • Problema nº 117172: aparece una ventana en blanco al ejecutar el instalador en Ubuntu.

    Descripción: el instalador aparece como un cuadro de diálogo en blanco/gris al ejecutarse en Ubuntu si Beryl/Compiz/Compiz Fusion están instalados.

    Solución: ejecute el comando export AWT_TOOLKIT=MToolkit antes de ejecutar el instalador.

  • Problema nº 123300. En Fedora Core 8, el instalador deja de mostrar la interfaz y vuelve a la consola.

    Descripción: en Fedora Core 8, la interfaz desaparece y el sistema vuelve a la consola.

    Solución: consulte https://netbeans.org/servlets/ReadMsg?list=nbusers&msgNo=98765.

  • El asistente de instalación de NetBeans IDE 6.8 no se inicia correctamente (se bloquea). Ocurre después de que el usuario detenga el proceso de instalación manualmente y el programa de instalación le informe de que hay otra instancia del instalador en ejecución.

    Descripción: en Windows, si se utiliza Java6 de forma predeterminada y se almacenan archivos zip de gran tamaño en el escritorio, el asistente de instalación no se inicia correctamente (se bloquea). Ocurre después de que el usuario detenga el proceso de instalación manualmente y el programa de instalación le informe de que hay otra instancia del instalador en ejecución.

    Solución: antes de la instalación, elimine todos los archivos zip de gran tamaño del escritorio.

inicio

Problemas conocidos: Core IDE

Éstos son los problemas no resueltos de esta versión:

  • Dificultades iniciar el IDE (Solaris x86 y Opteron Dual Core).

    Descripción: en algunas configuraciones con Solaris x86 y procesador Opteron Dual Core, pueden surgir problemas al iniciar el IDE debido a un error del JDK con la carga de bibliotecas GTK look&feel.

    Solución: si experimenta este problema, especifique la siguiente opción se encuentra en esta conducta, especifique la siguiente opción de línea de comandos: -laf javax.swing.plaf.metálica.MetalLookAndFeel

  • Los caracteres no aparecen correctamente en algunas configuraciones regionales asiáticas.

    Descripción: al ejecutar el IDE con algunas configuraciones regionales asiáticas en Ubuntu y en otras distribuciones de Linux, puede que el texto de la pantalla del IDE resulte ilegible. En determinados distribuciones de Linux, los caracteres multibyte pueden aparecer como rectángulos debido a problemas con la configuración de fuentes del JDK.

    Solución: consulte las FAQ para obtener ayuda sobre la solución del problema: http://wiki.netbeans.org/FaqI18nLinuxAsianFonts

  • Problema nº 6720021: surgen dificultades al iniciar el IDE en OpenSolaris con cualquier versión de JDK 5.

    Descripción: IDE puede no iniciarse en OpenSolaris al utilizar cualquier versión de JDK 5.

    Solución: utilice JDK 6 o ejecute el comando export AWT_TOOLKIT=XToolkit antes de iniciar el IDE.

  • Problema nº 64840: la comunicación de red se interrumpe en Linux si IPv6 está habilitado.

    Descripción: la comunicación de red se interrumpe en Linux si IPv6 está habilitado, lo que impide que el IDE se conecte a servidores agrupados, a las actualizaciones automáticas, etc.

    Solución: si surge este problema, ejecute el IDE con la instrucción switch -J-Djava.net.preferIPv4Stack=true'. También puede deshabilitar IPv6 (en /etc/módulos.conf o /etc/modprobe.conf).

    Para obtener más información consulte: Problema nº 5087907.

  • Problema nº 167401: el IDE se bloquea de forma aleatoria en los sistemas MacOS X que utilizan JDK 1.6.0 actualización 13

    Descripción: el IDE se puede bloquear de forma aleatoria al navegar por la barra del menú principal debido al error nº 6993269 del JDK de Apple.

    Solución: cambie a una versión distinta de JDK o modifique las opciones de inicio predeterminadas del archivo netbeans.conf a -J-Dapple.laf.useScreenMenuBar=false.

  • Problema nº 110074: el editor se bloquea en Solaris de forma periódica.

    Descripción: al ejecutar el IDE en Solaris con JDK 6, 6u1 o 6u2, los subprocesos pueden bloquearse durante mucho tiempo y provocar que el editor no responda.

    Solución: actualice la instalación de JDK 6 a la actualización 3 o más reciente.

  • Problema nº 88776: la aplicación perfilada puede fallar al crear perfiles con el modo de adjuntar de forma dinámica.

    Descripción: al ejecutarse en JDK 1.6, el creación del perfil de una aplicación con el modo de adjuntar de forma dinámica puede provocar un fallo de la aplicación perfilada.

    Solución: inicie la aplicación que desea perfilar con la instrucción de switch -Xshare:off.

    Consulte también: Problema nº 113847.

  • Problema nº 119617: el cursor se pierde en el editor y no se puede escribir con el teclado

    Descripción: algunas veces, tras usar una sugerencia de la ventana del editor, puede ocurrir que el punto de inserción del editor desaparezca y no pueda escribir con el teclado. Este problema ha surgido sobre todo en Mac OS X 10.4, pero también han surgido casos en algunas versiones de Ubuntu.

    Solución: utilice el ratón para abrir y cerrar una ventana de cuadro de diálogo (por ejemplo, un cuadro de diálogo de propiedades). De esta forma el editor vuelve a aparecer correctamente, y el funcionamiento del punto de inserción y del teclado vuelve a ser normal.

  • Problema nº 130357: I18N: Mac OS no genera javadoc si el nombre o la ruta del proyecto tiene varios bytes.

    Descripción: la tarea javadoc durante la creación del archivo de parámetros temporales se escribe en la codificación predeterminada del sistema operativo (MacRoman). Parece que se trata de una situación propia de Mac OS en la que las partes BSD y Mach (llamadas al sistema y al núcleo) aceptan parámetros en UTF-8, pero el sistema operativo y HFS se promocionan como MacRoman.

    Solución: evite el uso de varios bytes en el nombre o en la ruta del proyecto.

  • Problema nº 152916: surgen dificultades al iniciar IDE en Mac OS X 10.5.5 de 64 bits mediante JDK 1.6_07

    Descripción: en determinadas configuraciones de Mac OS X 10.5.5 de 64 bits con JDK 1.6_07 definido como plataforma Java predeterminada del sistema pueden surgir problemas al iniciar el IDE desde el Finder y desde la línea de comandos.

    Solución: cambie la plataforma predeterminada del sistema a JDK 1.5.

  • Problema nº 150416: la base de datos de muestra no se puede crear sin InnoDB

    Descripción: la base de datos de muestra de NetBeans emplea claves externas. El motor MyISAM no admite este tipo de claves. Por tanto, no se pueden utilizar bases de datos de muestra sin el motor de almacenamiento InnoDB.

    Solución: instale el motor de almacenamiento transaccional InnoDB.

  • Problema nº 158421: surgen dificultades al utilizar el IDE con el recolector de residuos G1

    Descripción: si utiliza el recolector de residuos G1 (en JDK 6 actualización 14 o posterior y en JDK 7), puede que se produzcan excepciones durante el uso del IDE.

    Solución: no utilice el recolector de residuos G1 (elimine -XX:+UnlockExperimentalVMOptions -XX:+UseG1GC desde netbeans.conf o desde la línea de comandos).

inicio

Problemas conocidos: Web y Java EE

Éstos son los problemas no resueltos de Web y de Java EE de esta versión:

    <
  • Problema nº 163371: no se pueden instalar aplicaciones web de Maven salvo que se seleccione un servidor de aplicaciones
    Descripción: la instalación de una aplicación web de Maven puede producir una excepción de tipo IASDeploymentException

    Solución: seleccione un servidor de instalación en la ficha Propiedades del proyecto > Ejecutar.

  • Ausencia de compatibilidad con los componentes de muestra de Ajax
    Descripción: los componentes de muestra de Blue Prints Ajax no son compatibles con esta versión porque se basan en una versión de Dojo antigua incompatible con las versiones posteriores. Los componentes de Woodstock agrupados en NetBeans dependen de versiones más recientes de las API de Dojo para la renderización por parte del cliente. Para la mayoría de componentes de BP Ajax de uso común (compatibles con NetBeans 5.5) hay funciones equivalentes disponibles en Project Woodstock, como se indica a continuación.
    • Autocompletar: en este blog (http://blogs.sun.com/dmitry/entry/creating_autocomplete_entry_field_with ) se describe cómo conseguir una función parecida con los componentes de la biblioteca de Project Woodstock.
    • Calendario emergente: Project Woodstock incluye un componente de calendario.
    • Campo de selección de valor: utilice la función Autocompletar en su lugar (su función es parecida aunque la IU es distinta).
    • Barra de progreso: Project Woodstock incluye un componente de barra de progreso.
    • Google Maps: en próximas versiones.
    • Componente de valoración: en próximas versiones.
    • Editor de texto enriquecido: no es compatible.

inicio

Problemas conocidos: compatibilidad con bases de datos

NetBeans permite escribir código para integrar y conectar las aplicaciones a bases de datos.

Éstos son los problemas no resueltos de bases de datos de esta versión:

  • Problema nº 168812: la instrucción SELECT * INTO actualiza sólo las 20 primeras filas.

    Descripción: la instrucción SELECT * INTO tabla2 FROM tabla1 sólo actualiza las primeras 20 filas de tabla2.

    Solución: cree tabla1 e invoque la instrucción INSERT INTO tabla2 y, a continuación, SELECTO * FROM tabla1.

inicio

Problemas conocidos: Java ME

NetBeans permite desarrollar aplicaciones basadas en Java ME en dispositivos MIDP, CLDC y CDC.

Éstos son los problemas no resueltos de Java ME de esta versión:

  • Linux y Solaris otros sistemas operativos no son compatibles con Java ME SDK 3.0.

    Descripción: los programas NetBeans 6.8 Mobility y Java ME SDK 3.0 que se suministran con esta versión sólo son compatibles con el sistema operativo Windows.

    Solución: el programa de instalación de Linux se suministra junto con Sun Java Wireless Toolkit 2.5.2. Los usuarios de Mac OS pueden descargar Java Platform Micro Edition Software Development Kit 3.0 for MacOS EA para desarrollar aplicaciones para móviles. Las FAQ incluyen instrucciones para instalar Java ME SDK 3.0 for MacOS en el IDE.

  • Problema nº 139031: el emulador no se inicia en Windows si el binario de Java no se encuentra en la ruta del entorno.

    Descripción: Java ME SDK y otros emuladores no se inician en Windows si Java.exe no se encuentra en la ruta.

    Solución: instale JDK con la configuración predeterminada o, si va a realizar una instalación personalizada, asegúrese de seleccionar el JRE público para la instalación. Si la versión de JDK ya está instalada, puede agregar el archivo Java.exe a la configuración de la ruta del sistema.

inicio

Problemas conocidos: Ruby

NetBeans permite desarrollar aplicaciones de Ruby y Ruby Rails.

Éstos son los problemas no resueltos de Ruby de esta versión:

  • Problema nº 171338: los usuarios no pueden crear proyectos de Rails

    Descripción: los usuarios no pueden crear un proyecto si hay espacios en la ruta del directorio de la plataforma JRuby.

    Solución: actualice manualmente RubyGems desde la línea de comandos: nb_install_dir_ruby2/jruby-1.4/bin/jruby -S gem update --system

inicio

Problemas conocidos: C/C++

NetBeans C/C++ es compatible con aplicaciones C y C++ en Microsoft Windows, Macintosh OS X, Linux y el sistema operativo SolarisTM. Los desarrolladores de C/C++ pueden integrar aplicaciones existentes en el sistema del proyecto de NetBeans o desarrollar aplicaciones y bibliotecas nuevas. La compatibilidad de NetBeans C/C++ abarca todo el ciclo de desarrollo: proyectos y plantillas, un avanzado editor compatible con el lenguaje, versiones basadas en la creación de archivos y depuración.

Para obtener información sobre la instalación y configuración de los compiladores y herramientas de compatibilidad con NetBeans C/C++, consulte la sección sobre instalación y configuración de la compatibilidad con C/C++.

Éstos son los problemas no resueltos de C/C++ de esta versión:

  • Problema nº 149053: en una plataforma Windows, la ruta de acceso a la creación de herramientas no puede contener espacios

    Descripción: en las plataformas Windows, si la ruta de acceso a la creación de herramientas contiene espacios integrados, se truncará y no será posible encontrar las herramientas.

    Solución: no utilice espacios en dicha ruta.

  • Problema nº 166811: GDB falla en Open Solaris al iniciar la depuración de archivos de C++

    Descripción: al depurar proyectos de C++ en Open Solaris, GDB falla debido a un error de segmentación.

    Solución: elimine los paquetes gcc-432 como se describe en la solución de este error.

  • Problema nº 148204: en las plataformas Windows, los datos introducidos por el usuario no funcionan en la ventana de salida al depurar

    Descripción: en las plataformas Windows, si se depura una aplicación y se ha definido la ventana de salida como tipo de consola del proyecto, no se puede introducir ningún dato en dicha ventana. Este problema no afecta al desarrollo mediante un host remoto.

    Solución: defina Terminal externa como tipo de consola; para ello, haga clic con el botón derecho del ratón en el nodo del proyecto de la ventana de proyectos, seleccione el nodo de ejecución en el cuadro de diálogo Propiedades del proyecto, seleccione Terminal externa en la lista desplegable Tipo de consola y haga clic en Aceptar.

  • Problema nº 121776: el código compilado de Sun Studio presenta problemas ocasionales al depurarlo con gdb

    Descripción: en los sistemas operativos Solaris y Linux, no siempre el posible depurar correctamente con el depurador gdb el código compilado con compiladores de Sun Studio. La mayoría de problemas conocidos se solucionan con el software Sun Studio 12, aunque existen varios más. Si experimenta problemas al depurar programas compilados con compiladores de Sun Studio 12, lo primero que debe hacer es aplicar los últimos parches de este software. Si el problema persiste, registre la incidencia en Issuezilla como defecto y haga que la tarea dependa de ella.

    Cuando surgen problemas, abrimos nuevas incidencias y actualizamos la tarea para que dependa de ellas, lo que ofrece una cierta perspectiva del estado actual de los programas de depuración compilados con compiladores de Sun Studio 12 mediante NetBeans y el depurador gdb.

    Estos problemas no afectan al código de depuración compilado con compiladores de Sun Studio 12 mediante Sun Studio 12 IDE y el depurador dbx.

  • Problema nº 121775: se necesita el Xcode más reciente para depurar en Tiger (Mac OS X 10.4)

    Descripción: al depurar en un equipo Macintosh con Tiger (Mac OS X 10.4), la versión predeterminada de los compiladores gcc y g++ genera código con un error en la salida de depuración. Apple ha lanzado un paquete de Xcode actualizado (versión 2.5) en el que este problema está solucionado. Las versiones correctas de gcc, g++ y gdb son: gcc: 4.0.1, compilación 5367 de Apple; g++: 4.0.1, compilación 5367 de Apple; gdb 6.3.50, compilación 573 de Apple (10/20/2006)

    Para descargar esta versión de Xcode, consulte http://developer.apple.com/tools/download.

    Este problema no aparece en Leopard (Mac OS X 10.5).

    Los síntomas de este problema son que los ejecutables compilados con el indicador -gdwarf (la predeterminada en proyectos de aplicaciones de C/C++) tienen información de líneas incorrecta y pueden ignorarse puntos de interrupción.

inicio

Más información

Puede encontrar noticias, artículos, módulos adicionales y otra información de utilidad en el sitio web del proyecto de NetBeans. NetBeans es un proyecto de código abierto, por lo que dicho sitio también permite acceder al código abierto, a una base de datos de errores, a información sobre la creación de módulos de NetBeans propios y a muchos más contenidos. Para obtener más información, visite http://www.netbeans.org.

Documentación

Para sacar el máximo provecho de las funciones de NetBeans IDE 6.8, verifique nuestros tutoriales y screencasts basados en Web. Consulte estas páginas con frecuencia; se actualizan con contenidos nuevos permanentemente.

El sistema de ayuda integrado de NetBeans IDE 6.8 se ha actualizado para que sea compatible con las nuevas funciones y cambios menores realizados en la interfaz desde la versión 6.7.

Comunidad

Si desea estar al día de los últimos desarrollos e interactuar con la comunidad de NetBeans, regístrese en las listas de correo del proyecto de NetBeans en https://netbeans.org/community/lists/.

Puede publicar preguntas en http://forums.netbeans.org/. Los foros están sincronizadas con las listas de correo de NetBeans de uso más común. Tenga en cuenta que para participar en los foros debe realizar otro registro.

Visite la página de información sobre traducciones de la comunidad en http://translatedfiles.netbeans.org/ para saber cómo colaborar en las localizaciones a idiomas adicionales de la IU, la ayuda y la documentación del usuario de NetBeans.



inicio

Not logged in. Log in, Register

By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2013, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo